#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#define ADD(a, b)  (a += b)
#define DIV(a, b)  (a /= b)
#define MULT(a, b) (a *= b)
// Macro expansion is on purpose here to suppress the `unused var b' warning.
#define SQRT(a, b) a = sqrt(a); b = b
#define LD long double

int main(void) {
    int i, max = (int) 1e9;
    {TYPE} a = 1.60654, b = 3.1285341;
    for(i=0; i < max; i++)
        {OP}(a, b);
    return 0;
}
